package com.isu.gaswellwatch.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DeviceOptLog extends Model<DeviceOptLog> {

    @Serial
    private static final long serialVersionUID = 1687383207806889137L;
    private Long id;
    //设备id
    private Long deviceId;
    //账号
    private String username;
    //姓名
    private String name;
    //所属区块
    private String block;
    //所属区块
    private String gasWell;
    //设备详情
    private String deviceDetail;
    //集气站
    private String gasStation;
    //日志内容
    private String content;
    //创建时间
    private String createTime;
    //更新时间
    private String updateTime;


}

